Bug 440601 - better search
better search
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-04 06:40 EDT by Rahul Sundaram
Modified: 2013-03-13 01:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 08:59:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2008-04-04 06:40:14 EDT
Description of problem:

search in gpk-application only allows me to search by name, description and file
name. What I would want is the ability to search through all the metadata
including groups in a easy way. 

Also the package name search does not cover the entire package name. For
example, use the hughsie repo and search for hughsie. Nothing is returned even
though the text is part of the package name at the end.
Comment 1 Richard Hughes 2008-04-15 17:26:46 EDT
Robin, isn't it trivial to add the repo data into the details search?
Comment 2 Bug Zapper 2008-05-14 04:39:33 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Brennan Ashton 2008-06-07 21:36:44 EDT
Assignee, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 4 Robin Norwood 2008-06-09 13:09:48 EDT
Hrm.  Lost track of this one.  I think the 'hughsie' in the name referred to in
the original report is the 'hughsie' in the release tag - not part of the
package name.

We could do better with searching more fields, though.  Leaving this assigned as
an RFE.
Comment 5 Richard Hughes 2008-07-04 06:01:29 EDT
Rahul, could you cook up a patch to add search_details support for searching the
rpm group? It should be trivial, but if you need a hand, yell.

Note You need to log in before you can comment on or make changes to this bug.